# July 2025

## Configurator/Room designer news

### Keyboard input features

Within Room Designer, it is possible to use commonly used keyboard input features, such as `Command + C` for `copying`, `Command + V` for `pasting`, `Command + V`for undo or `Backspace` for `deleting`.

You can also copy items from another room designer scene via those keys and paste them into your room designer scene. Also, it is possible to copy a product ID from the Rubens Admin portal and paste it into your Room Designer scene.

{% embed url="<https://www.roomle.com/t/cp/?configuratorId=mocdemo&id=ps_s06wb5essnwjmd6kh65ikserpvmoql1&api=false&catalogRootTag=rubens_room_demo_root>" %}

### New animation transformation functions <a href="#new-animation-transformation-functions" id="new-animation-transformation-functions"></a>

We implemented new animation transformation functions for our configurators `AnimatedMoveBy`, `AnimatedRotateBy`, `AnimatedScaleBy`: Unlike `` AnimationMatrixMoveBy` ``, `AnimationMatrixRotateBy` and `AnimationMatrixScaleBy` the operations `AnimatedMoveBy`, `AnimatedRotateBy`, `AnimatedScaleBy` consider the current transformation matrix of the object or group. This means that the animation is applied to the current transformation matrix of the object, which is then used to calculate the final position of the object in the scene. It is also possible to apply several consecutive animations to a geometry or mesh.\
Further details can be found in the documentation <https://docs.roomle.com/rubens/content-creation/roomlescript-reference/configurationformat#animations-matrix>

Examples:

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:animation-demo-window-item>

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:animation-demo-cage-item>

{% file src="/files/CNcfhYl5MpyBltmwsbhD" %}

{% file src="/files/quF480ENzkLLmsYubX7a" %}

### Freely definable dimensioning axes <a href="#freely-definable-dimensioning-axes" id="freely-definable-dimensioning-axes"></a>

In some cases, the default dimensioning axes ‘x’, ‘y’ and ‘z’ are not suitable for the component. For these cases, it is now possible to define custom axes for the dimensioning within your configurators using roomle script.

Further details can be found in the documentation: <https://docs.roomle.com/rubens/content-creation/roomlescript-reference/configurationformat#dimensioning-axis>

examples:

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:trapezoid-dimensioning_item>

![](/files/vlF0Ax2WqJXBj6PQ9cxj)

<https://www.roomle.com/t/cp/?id=roomle_script_documentation:curved-shelf-dimensioning-item>

![](/files/JepV8n2BEL0gQI2cyBBk)\\


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/whats-new/2025/july-2025.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
